/api/v1/dataset-items (GET)
GET
/api/v1/dataset-items
const url = 'https://api.endless.zaia.app/api/v1/dataset-items?datasetId=example&pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/dataset-items?datasetId=example&pageNumber=1&pageSize=10'Retrieves multiple dataset items.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”datasetId
required
string
pageNumber
The page number.
number
The page number.
pageSize
The page size.
number
The page size.
search
Search term to filter dataset items by name or description.
string
Search term to filter dataset items by name or description.
Responses
Seção intitulada “Responses”Retrieves all dataset items for the workspace.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
datasetId
required
The dataset ID associated with the dataset item.
string format: uuid
description
required
The internal description of the dataset item.
string
file
required
The file payload or file reference associated with the dataset item.
string
name
required
The display name of the dataset item.
string
status
required
The processing status of the dataset item.
string
Example
[ { "status": "pending" }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}